%define name            jlfgr
%define version         1.0
%define	rversion	1_0
%define release         3jpp
%define section		non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Java Look and Feel Graphics Repository
License:        Proprietary
Source0:        %{name}-%{rversion}.zip
NoSource:	0
Url:            http://developer.java.sun.com/developer/techDocs/hi/repository/
Group:          Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
These pages contain a collection of toolbar button graphics. The
graphics have been designed specifically for use with the JavaTM look
and feel. They conform to the Java look and feel Design Guidelines (see
the "Designing Button Graphics" section of the "Application Graphics"
chapter). A set of attributes accompanies each graphic. This information
can easily be used to create Swing Actions.

As the Human Interface Group, we strive to improve the user experience
for you and your end-users. This graphics repository provides you with
professional quality graphics that will save you development time. Your
end-users benefit by leveraging their knowledge of these graphics and
terminology across different Java look and feel applications.
 
%prep
%setup -q -c

%build
%jar xf %{name}-%{rversion}.jar LICENSE

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{rversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar %{name}.jar)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/*

%changelog
* Thu May 08 2003 David Walluck <david@anti-microsoft.org> 0:1.0-3jpp
- update for JPackage 1.5

* Tue Feb 18 2003 David Walluck <david@anti-microsoft.org> 1.0-2jpp 
- fix permissions on sources. Why does this keep happening? My umask is 0022.

* Mon Feb 17 2003 David Walluck <david@anti-microsoft.org> 1.0-1jpp 
- release
